AntiFeatures:
  - KnownVuln
Categories:
  - Phone & SMS
License: GPL-3.0-only
WebSite: http://www.csipsimple.com
SourceCode: https://code.google.com/p/csipsimple/source
Changelog: https://code.google.com/p/csipsimple/wiki/ChangeLog
Donate: https://code.google.com/p/csipsimple/wiki/Donate

AutoName: CSipSimple
Summary: SIP (VOIP) client
Description: |-
    * High performances
    * Rewriting/filtering rules for integration with Android
    * SIP SIMPLE for Messaging
    * Record calls
    * Simple configuration
    * Fancy UI
    * Many codecs (HD codecs, optimized codecs)
    * Supported crypto : TLS for SIP and SRTP/ZRTP for media
    * Themes

    This build doesn't include SILK (Skype) support.

Builds:
  - versionName: 1.02.01-2417
    versionCode: 2417
    commit: '2418'
    subdir: CSipSimple
    srclibs:
      - codec2-dev@1486
      - pjsip@4862
      - portaudio@1433
      - webrtc@2948
      - libyuv@426
    forceversion: true
    prebuild:
      - sed -i 's/MY_USE_SILK := 1/MY_USE_SILK := 0/' jni/Application.mk
      - sed -i 's/ silk//' Makefile
      - sed -i '/silk/d' jni/Android.mk
      - cp -r $$codec2-dev$$ jni/codec2/sources
      - cp -r $$pjsip$$ jni/pjsip/sources
      - cp -r $$portaudio$$ jni/pjsip/sources/third_party/portaudio
      - cp -r $$webrtc$$ jni/webrtc/sources
      - cp -r $$libyuv$$ jni/third_party/libyuv
    scanignore:
      - CSipSimple/jni/webrtc/sources/modules/video_capture/main/source/android/java/org/webrtc/videoengine/VideoCaptureDeviceInfoAndroid.java
      - CSipSimple/src/org/webrtc/videoengine/VideoCaptureDeviceInfoAndroid.java
    build: make

  - versionName: 1.02.03-2459
    versionCode: 2459
    commit: '2460'
    subdir: CSipSimple
    srclibs:
      - codec2-dev@1486
      - pjsip@4978
      - portaudio@1433
      - webrtc@2948
      - libyuv@426
    forceversion: true
    prebuild:
      - sed -i 's/MY_USE_SILK := 1/MY_USE_SILK := 0/' jni/Application.mk
      - sed -i 's/ silk//' Makefile
      - sed -i '/silk/d' jni/Android.mk
      - sed -i 's/ic_launcher_nightly/ic_launcher_phone/' AndroidManifest.xml
      - sed -i 's/nightly/release/' AndroidManifest.xml
      - cp -r $$codec2-dev$$ jni/codec2/sources
      - cp -r $$pjsip$$ jni/pjsip/sources
      - cp -r $$portaudio$$ jni/pjsip/sources/third_party/portaudio
      - cp -r $$webrtc$$ jni/webrtc/sources
      - cp -r $$libyuv$$ jni/third_party/libyuv
    target: android-21
    scanignore:
      - CSipSimple/jni/webrtc/sources/modules/video_capture/main/source/android/java/org/webrtc/videoengine/VideoCaptureDeviceInfoAndroid.java
      - CSipSimple/src/org/webrtc/videoengine/VideoCaptureDeviceInfoAndroid.java
    build: PATH=$PATH:$$NDK$$ make NDK_ROOT=$$NDK$$

MaintainerNotes: |-
    DexClassLoader used to load htc front-facing camera jar on HTC Evo devices.
    Does not break the app on other devices nor on HTC Evo devices that don't have
    the jar shipped with the device from HTC.

    To get the srclib revisions, run 'git svn show-externals'. One is nested inside pjsip.

    As google code has shut down, the most likely new upstream location is now
    at https://github.com/r3gis3r/CSipSimple.

    See https://github.com/r3gis3r/CSipSimple/issues/6 for more discussion about
    this issue, as of June 23 2016, the maintainers haven't responded to that
    question yet.

    KnownVuln: webrtc@2948 noted above
    https://gitlab.com/fdroid/fdroiddata/-/merge_requests/11496

ArchivePolicy: 0 versions
AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: 1.02.03
CurrentVersionCode: 2459

NoSourceSince: 1.02.03
